Subject: bug#28047: 25.2; Add another show-paren face

From: Tino Calancha <[email-masked]>
Date: Sun, 13 Aug 2017 01:34:58 +0900

Felipe Ochoa <[email-masked]> writes:

> I use show-paren-style in mixed mode, and would like to be able to use
> different faces depending on whether the match is being displayed in
> 'expression style or 'parenthesis (I want a stronger contrast in
> parenthesis than in expression). The attached patch splits the
> show-paren-match face into two, show-paren-match-expression and
> show-paren-match, using inheritance to make the split styling opt-in.
>
> With this change, users can style the two faces separately if they wish.
Thank you Felipe for your patch!
I've tested it and it looks good.
I tried `show-paren-match-expression' customized lighter as you
suggested, and it looks nicer.
I used following grey colors:

* background grey95, with emacs -Q
* background grey20, with emacs -Q -r

I think your path is long enough
(2 files changed, 20 insertions, 11 deletions)
to require copyright assignment.  I cannot find your
name in the Emacs commit history.

Are you willing to sign a copyright assignment to the FSF
so that we can include your patch within Emacs?

Tino